/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ScrollViewMessages extends ComponentMessages {
    /**
     * The label of the buttons in the ScrollView pager. By default they follow the pattern 'Item {itemIndex}'.
     * The default label text when the current item is 1 will be 'Item 1'.
     */
    pagerButtonLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollViewMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollViewMessages, "kendo-scrollview-messages-base", never, { "pagerButtonLabel": { "alias": "pagerButtonLabel"; "required": false; }; }, {}, never, never, false, never>;
}
